List entities
curl --request GET \
--url https://www.neode.ai/api/entities \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.neode.ai/api/entities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.neode.ai/api/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"avatar_url": "<string>",
"index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"success": false,
"error": "<string>",
"details": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>"
}Entities
List entities
Search and list entities. Entities are automatically created when triples are stored.
GET
/
api
/
entities
List entities
Authorizations
API key for authentication
Query Parameters
Search by name or description
Filter by index ID
Use exact name matching instead of fuzzy search
Number of results to skip for pagination
Required range:
x >= 0Maximum number of results
⌘I